Bug 1288651 - (OpenIGTLink) Review Request: openigtlink - Implementation of the OpenIGTLink network communication protocol
Review Request: openigtlink - Implementation of the OpenIGTLink network commu...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro
  Show dependency treegraph
 
Reported: 2015-12-04 16:23 EST by Dmitry Mikhirev
Modified: 2016-02-02 16:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 16:10:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Dmitry Mikhirev 2015-12-04 16:23:17 EST
Spec URL:
SRPM URL:

Description:

The OpenIGTLink Library is a reference implementation of OpenIGTLink protocol. It is required to build 3D-Slicer that I'm going to package.

OpenIGTLink is a network communication protocol specifically designed and developed for research on image-guided and computer-assisted interventions. It provides a standardized mechanism for communications among computers and devices in operating rooms (OR) for a wide variety of image-guided therapy (IGT) applications. Examples of such applications include:

- Stereotactic surgical guidance using optical position sensor and medical image visualization software
- Intraoperative image guidance using real-time MRI and medical image visualization software
- Robot-assisted interventions using robotic devices and surgical planning software

OpenIGTLink is a set of messaging formats and rules (protocol) used for data exchange on a local area network (LAN).
Comment 2 Zbigniew Jędrzejewski-Szmek 2016-01-08 14:45:53 EST
The name should be lowercase [https://fedoraproject.org/wiki/Packaging:NamingGuidelines#General_Naming], it's hard to remember (or type) or those mixed-case letters.

You could use a single doc directory:
%global _docdir_fmt %{name}

Don't repeat the package name in summary. It's also better to drop the article, listings look better without.

I don't see any issues otherwise.
Comment 3 Dmitry Mikhirev 2016-01-23 15:08:53 EST
> The name should be lowercase
I hate mixed-case letters too, but the upstream always refers to this library as OpenIGTLink, like in ORBit example on the wiki page. The github repository (and source tarball archived from there) is also named in mixed-case.

> Don't repeat the package name in summary.
It is not a package name, it's a protocol name. Shouldn't the package summary for protocol implementation include the protocol name? Really, I don't know what to write there if not this...
Comment 4 Zbigniew Jędrzejewski-Szmek 2016-01-23 15:39:40 EST
(In reply to Dmitry Mikhirev from comment #3)
> > The name should be lowercase
> I hate mixed-case letters too, but the upstream always refers to this
> library as OpenIGTLink, like in ORBit example on the wiki page. The github
> repository (and source tarball archived from there) is also named in
> mixed-case.
That's fine. You should use capitalized name in the description and other docs. Just the package name should be lowercase.

> > Don't repeat the package name in summary.
> It is not a package name, it's a protocol name. Shouldn't the package
> summary for protocol implementation include the protocol name? Really, I
> don't know what to write there if not this...

OK, if the package name will be lowercase, it might make more sense to repeat the protocol name. Maybe Summary: implementation of the OpenIGTLink network protocol ?
Comment 6 Zbigniew Jędrzejewski-Szmek 2016-01-23 17:47:47 EST
+ license is acceptable (BSD)
+ license file is present, %license is used
+ name is correct
+ scriptlets are OK
+ builds and installs fine
+ provides and requires look fine
+ recent version (git)
+ %check is present

Package is APPROVED.
Comment 7 Gwyn Ciesla 2016-01-24 14:02:05 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/openigtlink

Note You need to log in before you can comment on or make changes to this bug.